| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::QRCodeDetector Class Reference
Object Detection » QRCode detection and encoding

QR code detector. More...

`#include <opencv2/objdetect.hpp>`

Collaboration diagram for cv::QRCodeDetector:

## Public Member Functions
| QRCodeDetector ()
cv::String | decodeCurved (InputArray img, InputArray points, OutputArray straight_qrcode=noArray())
| Decodes QR code on a curved surface in image once it's found by the detect() method.
std::string | detectAndDecodeCurved (InputArray img, OutputArray points=noArray(), OutputArray straight_qrcode=noArray())
| Both detects and decodes QR code on a curved surface.
QRCodeDetector & | setEpsX (double epsX)
| sets the epsilon used during the horizontal scan of QR code stop marker detection.
QRCodeDetector & | setEpsY (double epsY)
| sets the epsilon used during the vertical scan of QR code stop marker detection.
QRCodeDetector & | setUseAlignmentMarkers (bool useAlignmentMarkers)
| use markers to improve the position of the corners of the QR code
Public Member Functions inherited from cv::GraphicalCodeDetector
| GraphicalCodeDetector ()
| GraphicalCodeDetector (const GraphicalCodeDetector &)=default
| GraphicalCodeDetector (GraphicalCodeDetector &&)=default
std::string | decode (InputArray img, InputArray points, OutputArray straight_code=noArray()) const
| Decodes graphical code in image once it's found by the detect() method.
bool | decodeMulti (InputArray img, InputArray points, std::vector< std::string > &decoded_info, OutputArrayOfArrays straight_code=noArray()) const
| Decodes graphical codes in image once it's found by the detect() method.
bool | detect (InputArray img, OutputArray points) const
| Detects graphical code in image and returns the quadrangle containing the code.
std::string | detectAndDecode (InputArray img, OutputArray points=noArray(), OutputArray straight_code=noArray()) const
| Both detects and decodes graphical code.
bool | detectAndDecodeMulti (InputArray img, std::vector< std::string > &decoded_info, OutputArray points=noArray(), OutputArrayOfArrays straight_code=noArray()) const
| Both detects and decodes graphical codes.
bool | detectMulti (InputArray img, OutputArray points) const
| Detects graphical codes in image and returns the vector of the quadrangles containing the codes.
GraphicalCodeDetector & | operator= (const GraphicalCodeDetector &)=default
GraphicalCodeDetector & | operator= (GraphicalCodeDetector &&)=default

## Additional Inherited Members
Protected Attributes inherited from cv::GraphicalCodeDetector
Ptr< Impl > | p

## Detailed Description

QR code detector.

## Constructor & Destructor Documentation

## ◆ QRCodeDetector()

cv::QRCodeDetector::QRCodeDetector | ( |  | ) |

Python:
| cv.QRCodeDetector( |  | ) -> | <QRCodeDetector object>

## Member Function Documentation

## ◆ decodeCurved()

cv::String cv::QRCodeDetector::decodeCurved | ( | InputArray | img,
|  | InputArray | points,
|  | OutputArray | straight_qrcode = noArray() )

Python:
| cv.QRCodeDetector.decodeCurved( | img, points[, straight_qrcode] | ) -> | retval, straight_qrcode

Decodes QR code on a curved surface in image once it's found by the detect() method.

Returns UTF8-encoded output string or empty string if the code cannot be decoded.

Parameters

  img | grayscale or color (BGR) image containing QR code.
  points | Quadrangle vertices found by detect() method (or some other algorithm).
  straight_qrcode | The optional output image containing rectified and binarized QR code

Here is the call graph for this function:

## ◆ detectAndDecodeCurved()

std::string cv::QRCodeDetector::detectAndDecodeCurved | ( | InputArray | img,
|  | OutputArray | points = noArray(),
|  | OutputArray | straight_qrcode = noArray() )

Python:
| cv.QRCodeDetector.detectAndDecodeCurved( | img[, points[, straight_qrcode]] | ) -> | retval, points, straight_qrcode

Both detects and decodes QR code on a curved surface.

Parameters

  img | grayscale or color (BGR) image containing QR code.
  points | optional output array of vertices of the found QR code quadrangle. Will be empty if not found.
  straight_qrcode | The optional output image containing rectified and binarized QR code

Here is the call graph for this function:

## ◆ setEpsX()

QRCodeDetector & cv::QRCodeDetector::setEpsX | ( | double | epsX | ) |

Python:
| cv.QRCodeDetector.setEpsX( | epsX | ) -> | retval

sets the epsilon used during the horizontal scan of QR code stop marker detection.

Parameters

  epsX | Epsilon neighborhood, which allows you to determine the horizontal pattern of the scheme 1:1:3:1:1 according to QR code standard.

## ◆ setEpsY()

QRCodeDetector & cv::QRCodeDetector::setEpsY | ( | double | epsY | ) |

Python:
| cv.QRCodeDetector.setEpsY( | epsY | ) -> | retval

sets the epsilon used during the vertical scan of QR code stop marker detection.

Parameters

  epsY | Epsilon neighborhood, which allows you to determine the vertical pattern of the scheme 1:1:3:1:1 according to QR code standard.

## ◆ setUseAlignmentMarkers()

QRCodeDetector & cv::QRCodeDetector::setUseAlignmentMarkers | ( | bool | useAlignmentMarkers | ) |

Python:
| cv.QRCodeDetector.setUseAlignmentMarkers( | useAlignmentMarkers | ) -> | retval

use markers to improve the position of the corners of the QR code

alignmentMarkers using by default

The documentation for this class was generated from the following file:

- opencv2/objdetect.hpp